apiVersion: kiali.io/v1alpha1
kind: Kiali
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"kiali.io/v1alpha1","kind":"Kiali","metadata":{"annotations":{"maistra.io/mesh-generation":"1.1.3-1"},"labels":{"app.kubernetes.io/component":"kiali","app.kubernetes.io/instance":"istio-system","app.kubernetes.io/managed-by":"maistra-istio-operator","app.kubernetes.io/name":"kiali","app.kubernetes.io/part-of":"istio","app.kubernetes.io/version":"1.1.3-1","maistra.io/owner":"istio-system"},"name":"kiali","namespace":"istio-system","ownerReferences":[{"apiVersion":"maistra.io/v1","blockOwnerDeletion":true,"controller":true,"kind":"ServiceMeshControlPlane","name":"basic-install","uid":"6c3064ac-735d-46e3-a999-a2da7dda6e23"}]},"spec":{"auth":{"strategy":"openshift"},"deployment":{"accessible_namespaces":["istio-system"],"image_pull_policy":"IfNotPresent","ingress_enabled":true,"namespace":"istio-system"},"external_services":{"grafana":{"auth":{"ca_file":"/var/run/secrets/kubernetes.io/serviceaccount/service-ca.crt","password":"YJfuynfyo3Dsvrby5Mu4t78tBGC0o80eE6AHIE/kd/+G51keKockL+P9bL5+U5r1TnLYLfVnSqXj6xaVPQCySKXhFg5LrFbYtTRLUYAL5jo1ebKQXGXZx/4PTWjEcq6KIFldPUb0qWeBtP9SEgbMbGrdViG08doIs+mrjxW4098OIZSofvEqCbMgoWJrDZVEZ5W+RaNkMP4wZcHvRsBOPAU3AeVjv7dxu/xXjgf6PsoIccv1eD7Ce936EijGYvfKJ5uMFNfxMEXP6p4Na8n1ZZpubn5ihoOjq0G8Pvm8aE7Y1lSeHA/8jkFsg0ul7rHx/z3aX+5h97JaBJFbWzfM","type":"basic","use_kiali_token":false,"username":"internal"},"enabled":true,"in_cluster_url":"https://grafana.istio-system.svc:3000","url":"https://grafana-istio-system.apps.jk-test2.maistra.upshift.redhat.com"},"prometheus":{"auth":{"ca_file":"/var/run/secrets/kubernetes.io/serviceaccount/service-ca.crt","password":"YJfuynfyo3Dsvrby5Mu4t78tBGC0o80eE6AHIE/kd/+G51keKockL+P9bL5+U5r1TnLYLfVnSqXj6xaVPQCySKXhFg5LrFbYtTRLUYAL5jo1ebKQXGXZx/4PTWjEcq6KIFldPUb0qWeBtP9SEgbMbGrdViG08doIs+mrjxW4098OIZSofvEqCbMgoWJrDZVEZ5W+RaNkMP4wZcHvRsBOPAU3AeVjv7dxu/xXjgf6PsoIccv1eD7Ce936EijGYvfKJ5uMFNfxMEXP6p4Na8n1ZZpubn5ihoOjq0G8Pvm8aE7Y1lSeHA/8jkFsg0ul7rHx/z3aX+5h97JaBJFbWzfM","type":"basic","use_kiali_token":false,"username":"internal"},"url":"https://prometheus.istio-system.svc:9090"},"tracing":{"auth":{"ca_file":"/var/run/secrets/kubernetes.io/serviceaccount/service-ca.crt","password":"YJfuynfyo3Dsvrby5Mu4t78tBGC0o80eE6AHIE/kd/+G51keKockL+P9bL5+U5r1TnLYLfVnSqXj6xaVPQCySKXhFg5LrFbYtTRLUYAL5jo1ebKQXGXZx/4PTWjEcq6KIFldPUb0qWeBtP9SEgbMbGrdViG08doIs+mrjxW4098OIZSofvEqCbMgoWJrDZVEZ5W+RaNkMP4wZcHvRsBOPAU3AeVjv7dxu/xXjgf6PsoIccv1eD7Ce936EijGYvfKJ5uMFNfxMEXP6p4Na8n1ZZpubn5ihoOjq0G8Pvm8aE7Y1lSeHA/8jkFsg0ul7rHx/z3aX+5h97JaBJFbWzfM","type":"basic","use_kiali_token":false,"username":"internal"},"enabled":true,"in_cluster_url":"https://jaeger-query.istio-system.svc","namespace":"istio-system","service":"","url":"https://jaeger-istio-system.apps.jk-test2.maistra.upshift.redhat.com"}},"installation_tag":"Kiali [istio-system]","istio_namespace":"istio-system","version":"v1.12"}}
    maistra.io/mesh-generation: 1.1.3-1
  creationTimestamp: "2020-06-25T16:36:35Z"
  finalizers:
  - finalizer.kiali
  generation: 1
  labels:
    app.kubernetes.io/component: kiali
    app.kubernetes.io/instance: istio-system
    app.kubernetes.io/managed-by: maistra-istio-operator
    app.kubernetes.io/name: kiali
    app.kubernetes.io/part-of: istio
    app.kubernetes.io/version: 1.1.3-1
    maistra.io/owner: istio-system
  name: kiali
  namespace: istio-system
  ownerReferences:
  - apiVersion: maistra.io/v1
    blockOwnerDeletion: true
    controller: true
    kind: ServiceMeshControlPlane
    name: basic-install
    uid: 6c3064ac-735d-46e3-a999-a2da7dda6e23
  resourceVersion: "592151"
  selfLink: /apis/kiali.io/v1alpha1/namespaces/istio-system/kialis/kiali
  uid: 2e3d1ad6-a3e1-4b9c-92a2-a329876f1d01
spec:
  auth:
    strategy: openshift
  deployment:
    accessible_namespaces:
    - istio-system
    image_pull_policy: IfNotPresent
    ingress_enabled: true
    namespace: istio-system
  external_services:
    grafana:
      auth:
        ca_file: /var/run/secrets/kubernetes.io/serviceaccount/service-ca.crt
        password: YJfuynfyo3Dsvrby5Mu4t78tBGC0o80eE6AHIE/kd/+G51keKockL+P9bL5+U5r1TnLYLfVnSqXj6xaVPQCySKXhFg5LrFbYtTRLUYAL5jo1ebKQXGXZx/4PTWjEcq6KIFldPUb0qWeBtP9SEgbMbGrdViG08doIs+mrjxW4098OIZSofvEqCbMgoWJrDZVEZ5W+RaNkMP4wZcHvRsBOPAU3AeVjv7dxu/xXjgf6PsoIccv1eD7Ce936EijGYvfKJ5uMFNfxMEXP6p4Na8n1ZZpubn5ihoOjq0G8Pvm8aE7Y1lSeHA/8jkFsg0ul7rHx/z3aX+5h97JaBJFbWzfM
        type: basic
        use_kiali_token: false
        username: internal
      enabled: true
      in_cluster_url: https://grafana.istio-system.svc:3000
      url: https://grafana-istio-system.apps.jk-test2.maistra.upshift.redhat.com
    prometheus:
      auth:
        ca_file: /var/run/secrets/kubernetes.io/serviceaccount/service-ca.crt
        password: YJfuynfyo3Dsvrby5Mu4t78tBGC0o80eE6AHIE/kd/+G51keKockL+P9bL5+U5r1TnLYLfVnSqXj6xaVPQCySKXhFg5LrFbYtTRLUYAL5jo1ebKQXGXZx/4PTWjEcq6KIFldPUb0qWeBtP9SEgbMbGrdViG08doIs+mrjxW4098OIZSofvEqCbMgoWJrDZVEZ5W+RaNkMP4wZcHvRsBOPAU3AeVjv7dxu/xXjgf6PsoIccv1eD7Ce936EijGYvfKJ5uMFNfxMEXP6p4Na8n1ZZpubn5ihoOjq0G8Pvm8aE7Y1lSeHA/8jkFsg0ul7rHx/z3aX+5h97JaBJFbWzfM
        type: basic
        use_kiali_token: false
        username: internal
      url: https://prometheus.istio-system.svc:9090
    tracing:
      auth:
        ca_file: /var/run/secrets/kubernetes.io/serviceaccount/service-ca.crt
        password: YJfuynfyo3Dsvrby5Mu4t78tBGC0o80eE6AHIE/kd/+G51keKockL+P9bL5+U5r1TnLYLfVnSqXj6xaVPQCySKXhFg5LrFbYtTRLUYAL5jo1ebKQXGXZx/4PTWjEcq6KIFldPUb0qWeBtP9SEgbMbGrdViG08doIs+mrjxW4098OIZSofvEqCbMgoWJrDZVEZ5W+RaNkMP4wZcHvRsBOPAU3AeVjv7dxu/xXjgf6PsoIccv1eD7Ce936EijGYvfKJ5uMFNfxMEXP6p4Na8n1ZZpubn5ihoOjq0G8Pvm8aE7Y1lSeHA/8jkFsg0ul7rHx/z3aX+5h97JaBJFbWzfM
        type: basic
        use_kiali_token: false
        username: internal
      enabled: true
      in_cluster_url: https://jaeger-query.istio-system.svc
      namespace: istio-system
      service: ""
      url: https://jaeger-istio-system.apps.jk-test2.maistra.upshift.redhat.com
  installation_tag: Kiali [istio-system]
  istio_namespace: istio-system
  version: v1.12
status:
  conditions:
  - ansibleResult:
      changed: 12
      completion: 2020-06-25T16:37:51.631778
      failures: 0
      ok: 88
      skipped: 58
    lastTransitionTime: "2020-06-25T16:36:35Z"
    message: Awaiting next reconciliation
    reason: Successful
    status: "True"
    type: Running
